/*this is a css file for main.html*/

/*css for body tag*/
body {
	margin-left: 5%;
	margin-right: 5%;
	margin-top: 2.5%; 
	font-family: sans-serif;
	color: rgba(0,0,0,0.8);
	justify-content: justify;
}

/*css for division with id heading*/
#heading {
	width: 100%;
	height: auto;
}

/*css for td i.e table data tag which is inside division with id heading*/
#heading td {
	font-size: 5vw;
	font-family: monospace;
}

/*css for img i.e image tag which is inside division with id heading*/
#heading img {
	max-width: 100%;
	height: auto;
}

/*css for p i.e paragraph tag*/
p {
	padding: 10px;
}

/*css for hr i.e horizontal rule tag with class heading-hr*/
.heading-hr {
	height: 5px;
    border: 0;
	box-shadow: inset 0 12px 12px -12px rgba(0, 0, 0, 0.5);
}

/*css for hr i.e horizontal rule tag*/
hr {
	height: 2px;
    border: 0;
	box-shadow: inset 0 12px 12px -12px rgba(0, 0, 0, 0.5);
}

/*css for division with class .nav-bar*/
.nav-bar {
	display: grid;
	grid-template-columns: auto auto auto auto;
	margin-bottom: 10px;
}

/*when the width goes below 500px the below css will take affect*/
@media only screen and (max-width: 500px) {

	/*css for division with class .nav-bar*/
    .nav-bar {
        grid-template-columns: none;
        font-size: 15px;
    }
}

/*css for a i.e anchor tag*/
a {
	text-decoration: none;
	color: rgba(0,0,0,0.6);
	font-family: sans-serif;
	padding: 8%;
}

/*css for division with id dog-img*/
#dog-img {
	position: relative;
	border: 1px solid rgba(0,0,0,0.2);
	width: 100%;
}

/*css for img i.e image tag which is inside division with id dog-img*/
#dog-img img {
	float: center;
}

/*css for division with id img-text*/
#img-text {
	font-family: sans-serif;
	position: relative;
	background-color: white;
	width: 100%;
	color: rgba(0,0,0,0.5);
}

/*css for division with id img-heading*/
#img-heading {
	font-size: 30px;
}

/*css for division with id top-news*/
#top-news {
	color: rgba(0,0,0,0.8);
	margin-top: auto;
	margin-bottom: 20px;
}

/*css for p i.e paragraph tag with id top-news-1*/
#top-news-1 {
	font-size: 25px;
	font-style: sans-serif;
}

/*css for span with id top-news-2*/
#top-news-2 {
	float: right;
	margin-right: 20px; 
	font-size: 20px;
}

/*css for table tag which inside a division with id scores*/
#scores table {
  	border-collapse: collapse;
  	margin: 0;
  	padding: 0;
  	table-layout: fixed;
  	width: 100%;
}

/*css for th i.e table-head tag which inside division with id scores*/
#scores th {
	padding: 20px;
	color: rgba(0,0,0,0.5);
	width: auto;
}

/*css for th,td,table which is inside division with id scores*/
#scores table th,table td {
  padding: .625em;
  text-align: center;
}

/*css for td i.e table-data tag which inside a division with id scores*/
#scores td {
	padding: 10px;
	color: rgba(0,0,0,0.8);
	text-align: center;
	width: 20%;
}

/*when the width goes below 400px the below css will take affect*/
@media only screen and (max-width: 400px) {
    #scores table {
        font-size: 10px;
    }
    #scores td {
    	width: 10%;
    }
}

/*when the width goes below 400px the below css will take affect*/
@media only screen and (max-width: 400px) {

	/*css for table tag which inside a division with id scores*/
    #scores table {
        font-size: 9px;
    }

    /*css for table tag which inside a division with id scores*/
    #scores td {
    	width: 9%;
    }
}

/*css for img i.e image tag which is inside division with id weather*/
#weather img {
	width: 100%;
	height: auto;
}

/*css for table i.e table tag which inside a division with id weather-heading*/
#weather-heading table {
	width: 15%;
}

/*css for th i.e table tag which inside a division with id weather-img*/
#weather-img table {
	width: 100%
}

/*css for th i.e table-data tag which inside a division with id weather-img*/
#weather-img td {
	width: auto;
	text-align: center;
	padding: 10px;
}

/*css for img i.e image tag which inside a division with id weather-img*/
#weather-img img {
	width: 50%;
	height: auto;
}

/*when the width goes below 400px the below css will take affect*/
@media only screen and (max-width: 400px) {
	
	/*css for table tag which inside a division with id weather-img*/
    #weather-img table {
        font-size: 10px;
    }
    /*css for table tag which inside a division with id weather-img*/
    #weather-img td {
    	width: 10%;
    }
}

/*css for img i.e image tag which inside a division with id latest-news*/
#latest-news img {
	width: 125px;
	height: 100px;
	float: left;
	padding: 10px;
}

/*css for division with class latest-news*/
.latest-news-headings {
	color: rgba(0,0,0,0.5);
	font-size: 20px;
}

/*css for division with class footer-bar*/
.footer-bar {
	display: grid;
	grid-template-columns: auto auto auto auto;
}

/*when the width goes below 400px the below css will take affect*/
@media only screen and (max-width: 500px) {

	/*css for division with class footer-bar*/
    .footer-bar {
    	grid-template-columns: none;
        font-size: 15px;
    }
}
